Subject: [netext] Request for adopting draft-cui-netext-lma-redirection-solution-00 as a WG baseline

From: Xiangsong Cui <[email-masked]>
Date: Fri, 31 Jul 2009 11:20:56 +0800

Hi Raj,

After the discussion, I think the WG have got a consensus
on the principle.

As Koodli mentioned in the message:
http://www.ietf.org/mail-archive/web/netext/current/msg00745.html,
"As a baseline protocol, we need 1), i.e., LMA-1 informs MAG
 about LMA-2, and MAG then contacts LMA-2 with PBU/PBA;
 only then BCE is set up at LMA-2."

Basing on this principle, I believe the draft
http://tools.ietf.org/id/draft-cui-netext-lma-redirection-solution-00.txt
is more conformable than the draft
http://tools.ietf.org/id/draft-korhonen-netext-redirect-02.txt.

(I attach a message in the end to explain that the drafts are different.)

So I would like to ask WG to accept my draft
http://tools.ietf.org/id/draft-cui-netext-lma-redirection-solution-00.txt
as the baseline of  LMA Redirection.

Regards

Xiangsong

----- Original Message ----- 
From: "Xiangsong Cui" <[email-masked]>
To: "Vijay Devarapalli" <[email-masked]>; <[email-masked]>
Sent: Friday, July 31, 2009 10:12 AM
Subject: Re: [netext] draft-cui-netext-lma-redirection-solution-00

> Hi Vijay,
>
> Thank you for your response, and I think we should do more
> discussion on the issue.
>
>> As Jouni pointed, this mechanism was already there in version 00 of
>> draft-korhonen-netext-redirect.
>
> I have to say I can't agree that.
> Because I didn't read the early version (i.e. draft-00) in the past,
> I check the document just now.
>
> In my understanding, the version 00 is similar with version 02, but
> different with my draft.
>
> The key points are: who send the first PBA to MAG?
> When the old LMA decide to do redirection,  whom does the
> old LMA send message to?
>
> In my draft, it is the old LMA sends PBA to MAG, indicating
> the redirection procedure and the new LMA information.
> When the old LMA decide to do redirection, it sends message
> to the MAG, but not the new LMA.
>
> In the drafts of Jouni, it is the new LMA sends PBA, it is the new LMA
> sends the option to MAG, indicating the redirection procedure and with
> the old LMA information attached.
> I get this conclusion, because of the following text (copied from draft 
> 00):
>
> Section 3:
> " The Redirect mobility option in the PBA MUST contain the
>   IPv6 address (unicast or anycast) of the rfLMA and MAY contain the
>   IPv4 address of the rfLMA.  The PBA containing the Redirect mobility
>   option MUST be sent from the r2LMA.  After receiving the PBA
>   containing the Redirect mobility option from the r2LMA, the MAG MUST
>   send subsequent PBUs and user traffic to the r2LMA that concern the
>   redirected mobility session."
>
> The draft says the PBA MUST be sent from the r2LMA, which is the new
> one.
>
> Section 5.1:
> " If the MAG receives a PBA that contains the Redirect mobility option
>   from a LMA without first including the Redirect mobility option in
>   the corresponding PBU, the MAG MUST treat the PBA as if the binding
>   update failed and log the event.  If the MAG receives a PBA that
>   contains the Redirect mobility option and the MAG had included the
>   Redirect mobility option in the corresponding PBU, then the MAG MUST
>   perform the following steps in addition to the normal RFC 5213 PBA
>   processing:
>
>   o  Check if the Redirect mobility option contains the IP address of
>      the LMA to whom the MAG originally sent the PBU (i.e. the rfLMA).
>      If the check fails, then the MAG MUST treat the PBA as if the
>      binding update failed and log the event.
>
>   o  Update the Binding Update List to correspond to the LMA Address
>      where the newly received PBA came from."
>
> Notice the last sentence, I believe the LMA is the new LMA, so the MAG
> need update the binding update list, isn't it?
>
> Section 5.2:
> " In
>   the case of redirection, the r2LMA MUST always include the IPv6
>   address (unicast or anycast) of the rfLMA in the Redirect mobility
>   option in the PBA."
>
> The draft says r2LMA MUST include the information of the old LMA,
> while in my draft, it is the old LMA indicates the new LMA.
>
> Vijay, would you like to read the draft-00 of Jouni and check my
> conclusion?
>
>
>> The normal IETF practice is to send comments
>> saying that you prefer the mechanism in the original draft compared to 
>> the
>> new mechanism. You can suggest enhancements too.
>
> I agree the mechanism in my draft is widely used in other protocols, but
> I don't think it is introduced in the drafts of Jouni.
>
>
>> There might be some minor
>> differences between what is in your draft and
>> draft-korhonen-netext-redirect-00.txt, but writing yet another draft is 
>> not
>> the right approach.
>>
>
> Because my draft is different from the drafts of Jouni, I think I can 
> submit
> it to the WG. We just discussed several drafts on the topic of RO, IMO,
> two drafts on the Redirection is reasonable.
>
>
> Regards
>
> Xiangsong
>
>
>
> ----- Original Message ----- 
> From: "Vijay Devarapalli" <[email-masked]>
> To: "Xiangsong Cui" <[email-masked]>; <[email-masked]>
> Sent: Friday, July 31, 2009 2:59 AM
> Subject: [netext] draft-cui-netext-lma-redirection-solution-00
>
>
>> Hi Xiangsong,
>>
>> As Jouni pointed, this mechanism was already there in version 00 of
>> draft-korhonen-netext-redirect. The normal IETF practice is to send 
>> comments
>> saying that you prefer the mechanism in the original draft compared to 
>> the
>> new mechanism. You can suggest enhancements too. There might be some 
>> minor
>> differences between what is in your draft and
>> draft-korhonen-netext-redirect-00.txt, but writing yet another draft is 
>> not
>> the right approach.
>>
>> Vijay
>>
>>
>> On 7/27/09 12:55 AM, "Xiangsong Cui" wrote:
>>
>>> Hi all,
>>>
>>> I have just submitted a draft about the LMA Redirection solution.
>>> You  may find the draft by the link:
>>> http://tools.ietf.org/html/draft-cui-netext-lma-redirection-solution-00
>>>
>>> Please take a look and any comment is welcomed.
>>>
>>> Thanks and regards
>>>
>>> Xiangsong
>>>
>>> ----- Original Message -----
>>> From: "IETF I-D Submission Tool" <[email-masked]>
>>> To: <[email-masked]>
>>> Sent: Monday, July 27, 2009 3:31 PM
>>> Subject: New Version Notification for
>>> draft-cui-netext-lma-redirection-solution-00
>>>
>>>
>>>>
>>>> A new version of I-D, draft-cui-netext-lma-redirection-solution-00.txt 
>>>> has
>>>> been successfuly submitted by Xiangsong Cui and posted to the IETF
>>>> repository.
>>>>
>>>> Filename: draft-cui-netext-lma-redirection-solution
>>>> Revision: 00
>>>> Title: LMA Redirection Solution
>>>> Creation_date: 2009-07-27
>>>> WG ID: Independent Submission
>>>> Number_of_pages: 8
>>>>
>>>> Abstract:
>>>> In network-based mobility management domain, LMA is used to manage
>>>> the mobility of IP node attached to MAG. LMA discovery and LMA
>>>> redirection mechanism are used to improve the network flexibility.
>>>> This document is used to introduce a recommended solution for this
>>>> purpose. In this solution Redirect Agent function is adopted to
>>>> accomplish the requirement.
>>>>
>>>> Conventions used in this document
>>>>
>>>> The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
>>>> "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this
>>>> document are to be interpreted as described in [RFC2119].
>>>>
>>>>
>>>>
>>>> The IETF Secretariat.
>>>>
>>>>
>>>
>>> _______________________________________________
>>> netext mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/netext
>>
>> _______________________________________________
>> netext mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/netext
>
> _______________________________________________
> netext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netext

---

From: "Koodli, Rajeev" <[email-masked]>
Date: Fri, 31 Jul 2009 05:48:11 -0400

Hi Xiangsong,

it is the common practice to discuss a draft and make revisions; that's how we work in IETF WGs. My comments are inline with that and not meant to compare one draft against another. 

Please provide your comments on the topic. Your input will be discussed just as any other input and taken into consideration in making progress on the topic. 

Thanks,

-Rajeev

________________________________

From: [email-masked] on behalf of Xiangsong Cui
Sent: Thu 7/30/2009 8:20 PM
To: [email-masked]; [email-masked]
Subject: [netext] Request for adopting draft-cui-netext-lma-redirection-solution-00 as a WG baseline

Hi Raj,

Regards

Xiangsong

---

From: cuixiangsong 00111037 <[email-masked]>
Date: Fri, 31 Jul 2009 20:47:04 +0800

Hi Rajeev,

Very thank you for your response.

> it is the common practice to discuss a draft and make revisions; 
> that's how we work in IETF WGs. 

Yes, I very agree the rule. 
But in my mind, the current fact is that there are two drafts
on the topic and WG almost got the shape of the final solution.
(We all agree that the LMA-1 indicate the MAG the redirextion
and MAG send PBU to the LMA-2.)

I want to say, my draft is a more alike approach to this
final solution. Before we make revisions, which draft should be
taken as the baseline? I think a nearer draft will save our time.
So I remind the WG to review my draft and I think it is more
suitable for this topic. We can make revisions on the draft in
a better approach.

> My comments are inline with that 
> and not meant to compare one draft against another. 

I cited your comment just to clarify the fact that we have
got a consensus on the final solution and I also want to show
what the final solution looks like.  That is all.

As to the "comments are inline" you mentioned, do you mean
you give me some comments in the mail? 
I find no one, so I take it as the comments I cited in my 
previous mail.

Best Regards

Xiangsong

----- 原邮件 -----
发件人: "Koodli, Rajeev" <[email-masked]>
日期: 星期五, 七月 31日, 2009 下午5:52
主题: Re: [netext] Request for adopting draft-cui-netext-lma-redirection-solution-00 as a WG baseline
收件人: [email-masked]

> 
> Hi Xiangsong,
> 
> it is the common practice to discuss a draft and make revisions; 
> that's how we work in IETF WGs. My comments are inline with that 
> and not meant to compare one draft against another. 
> 
> Please provide your comments on the topic. Your input will be 
> discussed just as any other input and taken into consideration in 
> making progress on the topic. 
> 
> Thanks,
> 
> -Rajeev
> 
> 
> 
> 
> http://tools.ietf.org/id/draft-cui-netext-lma-redirection-solution-
> 00.txtis more conformable than the draft
> http://tools.ietf.org/id/draft-cui-netext-lma-redirection-solution-
> 00.txtas the baseline of  LMA Redirection.
> 
> Regards
> 
> Xiangsong
> 
> 
> >   IPv4 address of the rfLMA.  The PBA containing the Redirect 
> mobility>   option MUST be sent from the r2LMA.  After receiving 
> the PBA
> > " If the MAG receives a PBA that contains the Redirect mobility 
> option>   from a LMA without first including the Redirect mobility 
> option in
> >   the corresponding PBU, the MAG MUST treat the PBA as if the 
> binding>   update failed and log the event.  If the MAG receives a 
> PBA that
> >      the LMA to whom the MAG originally sent the PBU (i.e. the 
> rfLMA).>      If the check fails, then the MAG MUST treat the PBA 
> as if the
> >> new mechanism. You can suggest enhancements too. There might be 
> some>> minor
> >>>> been successfuly submitted by Xiangsong Cui and posted to the 
> IETF>>>> repository.
> >>>>
> >>>> In network-based mobility management domain, LMA is used to 
> manage>>>> the mobility of IP node attached to MAG. LMA discovery 
> and LMA
> >>>> redirection mechanism are used to improve the network 
> flexibility.>>>> This document is used to introduce a recommended 
> solution for this
> >>>> The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL 
> NOT",>>>> "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and 
> "OPTIONAL" in this